$(document).ready(function(){
    $(".userButton").click(function() {
        $(this).toggleClass('active');
        $(".userOtherMenu").toggleClass('active');
    });
    $(".searchLink").click(function() {
        $(this).hasClass("active")
            ?($(".searchLink").removeClass("active"),$(".searchInputArea").removeClass('active'), $(".overlay").removeClass("active"))
            :($(this).addClass('active'),$(".searchInputArea").addClass("active"),$(".overlay").addClass("active"))
    });

    $(".extendContractModalButton").click(function() {
        $(this).parents().find(".extendContractModal").addClass('active').fadeIn(100);
        $(".overlay").addClass('active').fadeIn(100);
    });
    $(".modal .cancelButton").click(function() {
        $(".extendContractModal").removeClass('active').fadeOut(100);
        $(".overlay").removeClass('active').fadeOut(100);
    });
    $(".overlay").click(function() {
        $(".extendContractModal").removeClass('active').fadeOut(100);
        $(this).removeClass('active').fadeOut(100);
        if($(".searchLink").hasClass("active")){
            $(".searchLink").removeClass("active");
            $(".searchInputArea").removeClass('active');
        }
    });
    $(".participantSearch").click(function(e) {
        searchFunction();
    });
    $("#participantName").keyup(function (event) {
        searchFunction();

    });

    $('#participantName').bind('keypress', function (e) {
        var code = e.keyCode || e.which;
        if (code == 13) { //Enter keycode
            searchFunction();
        }
    });
    $(".copyPasswordButton").click(function(event){
        console.log("burada");
        var $tempElement = $("<input>");
            $("body").append($tempElement);
            $tempElement.val($(this).closest(".approvePassword").find(".previewPassword").text()).select();
            document.execCommand("Copy");
            $tempElement.remove();
        });
});


function searchFunction(search) {
    var value = $("#participantName").val();

    var tagElems = $("#search_results .listItem").children();
    var tagElems1 = $("#search_results .listItem > .name");
    $(tagElems).show();

    if (value == null || value == '') {
        $("#search_results .listItem").fadeOut();
    }
    else{
        $(tagElems).hide();
        for (var i = 0; i < tagElems.length; i++) { // loop through all tagElements
            var tag = $(tagElems).eq(i);

            if (($(tag).text().toLowerCase()).indexOf(value.toLowerCase()) === 0) {
                // if element's text value starts with the hint show that tag element
                $(tag).show();
            }
        }
    }

}