$(document).ready(function(){
    function startTimer(duration, display) {
        var timer = duration, seconds;
        setInterval(function () {
            seconds = parseInt(timer % 60, 10);

            seconds = seconds < 10 ? "0" + seconds : seconds;

            display.textContent = seconds;

            if (--timer < 0) {
                timer = duration;
            }
        }, 1000);
    }
    window.onload = function () {
        var fiveMinutes = 60 / 15,
            display = document.querySelector('.secondsFrame pre');
        startTimer(fiveMinutes, display);
    };
});
